package cn.yw.video.videoalarm.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywvideotaskrunsetDao")
public class YwvideotaskrunsetDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Ywvideotaskrunset(Map map) throws SQLException{
		this.insert("insert_Ywvideotaskrunset",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	public void batch_insert_Ywvideotaskrunset(List batch) throws SQLException{
		this.insert("batch_insert_Ywvideotaskrunset",batch);
	}
	 
	/**
	 * 修改记录
	 */
	public Integer update_Ywvideotaskrunset(Map map) throws SQLException{
		return this.update("update_Ywvideotaskrunset",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Ywvideotaskrunset(Map map) throws SQLException{
		return this.delete("delete_Ywvideotaskrunset",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	public Integer batch_delete_Ywvideotaskrunset(Map map) throws SQLException{
		return this.delete("batch_delete_Ywvideotaskrunset",map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywvideotaskrunset(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywvideotaskrunset",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Ywvideotaskrunset(Map map) throws SQLException{
		return this.queryForPage("query_Ywvideotaskrunset",map);
	}

	/**
	 * 查询任务完好率
	 */
	public List<Map> query_ywvideotaskcompleterate(Map map)  throws SQLException{
		return this.queryForPage("query_ywvideotaskcompleterate",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Ywvideotaskrunset(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywvideotaskrunset",map);
	}
}
